# stdex: stdex::parser::basic_iterations< T > Class Template Reference

Loading...
Searching...
No Matches
stdex::parser::basic_iterations< T > Class Template Reference

Test for repeating. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_iterations< T >:

## Public Member Functions

| basic_iterations (const std::shared_ptr< basic_parser< T > > &el, size_t min_iterations=0, size_t max_iterations=SIZE_MAX, bool greedy=true)
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string_view< T, std::char_traits< T > > text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
virtual void | invalidate ()

## Protected Member Functions

virtual bool | do_match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Protected Attributes

std::shared_ptr< basic_parser< T > > | m_el
| repeating element
size_t | m_min_iterations
| minimum number of iterations
size_t | m_max_iterations
| maximum number of iterations
bool | m_greedy
| try to match as long sequence as possible
Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Additional Inherited Members

Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Detailed Description

template<class T>
class stdex::parser::basic_iterations< T >

Test for repeating.

## Member Function Documentation

## do_match()

template<class T >

virtual bool stdex::parser::basic_iterations< T >::do_match | ( | _In_reads_or_z_opt_(end) const T * | text,
|  | size_t | start = 0,
|  | size_t | end = SIZE_MAX,
|  | int | flags = match_default )

inlineprotectedvirtual

Implements stdex::parser::basic_parser< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp